#include "stdio.h"
#include "delay.h"
#include "flash.h"
#include "uart.h"

uint32_t flash_data[4];
uint32_t data_write_flash[4]={0xdeadbeef, 0xbabababa,0xdadadada,0x12345678};

uint32_t address=0x08008000;

int main(void)
{
	uart2_tx_init(115200,16000000);

	systick_init_ms(16000000);

	flash_unlock();

	flash_write32(address, data_write_flash, 4);

	flash_lock();

	flash_read32(address,flash_data,4);

	printf("Written data at address 0x%x:\r\n",address);

	for (int i=0;i<4;i++)
	{
		printf("%d -> 0x%x\r\n",i,flash_data[i]);
	}

	while(1)
	{



	}
}
